org.gnome.glib

## Class UserDirectory

- Object
- - org.freedesktop.bindings.Constant
  - - org.gnome.glib.UserDirectory

-     public class UserDirectory
      extends org.freedesktop.bindings.Constant

  Used to indicate the types of "special" user directory (as defined by the XDG standard) that you can query with `Glib.getUserSpecialDir()`.
  Since:
    4.0.15
  Author:
    Serkan Kaba

- - ### Field Summary

    Fields
    Modifier and Type | Field and Description
    --- | ---
    `static UserDirectory` | `DESKTOP` Represents Desktop directory of the user.
    `static UserDirectory` | `DOCUMENTS` Represents Documents directory of the user.
    `static UserDirectory` | `DOWNLOAD` Represents Download directory of the user.
    `static UserDirectory` | `MUSIC` Represents Music directory of the user.
    `static UserDirectory` | `PICTURES` Represents Pictures directory of the user.
    `static UserDirectory` | `PUBLIC_SHARE` Represents Public directory of the user.
    `static UserDirectory` | `TEMPLATES` Represents Templates directory of the user.
    `static UserDirectory` | `VIDEOS` Represents Videos directory of the user.

  - ### Method Summary

    - ### Methods inherited from class org.freedesktop.bindings.Constant

      `toString`

    - ### Methods inherited from class Object

      `equals, getClass, hashCode, notify, notifyAll, wait, wait, wait`

- - ### Field Detail

    - #### DESKTOP

          public static final UserDirectory DESKTOP

      Represents Desktop directory of the user.

    - #### DOCUMENTS

          public static final UserDirectory DOCUMENTS

      Represents Documents directory of the user.

    - #### DOWNLOAD

          public static final UserDirectory DOWNLOAD

      Represents Download directory of the user.

    - #### MUSIC

          public static final UserDirectory MUSIC

      Represents Music directory of the user.

    - #### PICTURES

          public static final UserDirectory PICTURES

      Represents Pictures directory of the user.

    - #### PUBLIC_SHARE

          public static final UserDirectory PUBLIC_SHARE

      Represents Public directory of the user.

    - #### TEMPLATES

          public static final UserDirectory TEMPLATES

      Represents Templates directory of the user.

    - #### VIDEOS

          public static final UserDirectory VIDEOS

      Represents Videos directory of the user.